Convert-O-Tron 125 Overheating regardless of radiators
11/19/2016 05:22 PM - Anth12

Status: Not a Bug Start date: 11/19/2016
Severity: Normal % Done: 0%
Assignee:

Category: Physics

Target version:

Version: 1.21 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

GOG KSP 1.2.1.1604 64bit Clean Install. No Mods
Windows 10 Build 1511

Description:
No matter how much cooling the Convert-O-Tron 125 overheats.

How to replicate:

1. Use the Convert-O-Tron 125 Test.craft file and launch from VAB

2. Turn on all radiators

3. Left Click on the Convert-O-Tron 125 and then Right click on 'Start ISRU [Lf+Ox]' (or Lf or Ox)
4. Wait until the Convert-O-Tron overheats or time warp until it overheats.

Extra Information:

The temperature of the Convert-O-Tron 125 increases quickly compared to the Convert-O-Tron 250 with or without cooling.
There is no way to counter the overheating but the cooling does have some affect on slowing down how fast the temperature is
increasing

| have added screenshots of the Convert-O-Tron 125 with thermal debug information for the following situations:

1. When its idle and theres no cooling

2. When its overheating without cooling

3. When its overheating with full cooling using one of each of the types of radiators (after it overheated without cooling)

| have also added one screenshot of the Convert-O-Tron 250 with the lest amount of cooling it took to keep it at 1000k and supplied
Convert-O-Tron 250.craft for quick comparison.

History

#1 - 11/27/2016 07:46 PM - blakemw

I've also run into this issue. Initially | thought it was because | was mining on Moho, but the heat increases much too rapidly to be explained by
normal mechanics (also an ISRU 250 unit is working fine).

| did notice the ISRU 125 only experienced runaway heating when it had a surplus of ore to work with, such as a full ore tank.

#2 - 12/03/2016 09:02 AM - AlffromKerbal
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed for Linux.
Once again i cannot build the craft i want because of a physics bug.

#3 - 12/04/2016 06:52 PM - bewing
- Status changed from Confirmed to Not a Bug

- % Done changed from 10 to 100

Guys: Look at the specs for the Cvt125 -- required cooling 100kW, max allowed cooling 50kW
You are not supposed to use it continuously. It is specifically designed to overheat. You are supposed to run it in pulses. It says so in the wiki, and
that is confirmed by the devs.

#4 - 12/05/2016 09:22 AM - AlffromKerbal

If so, i would call it a designflaw. Forgive me, but "specifically designed to overheat" sounds somehow stupid.

#5 - 12/05/2016 07:05 PM - Anth12

Ok, parts in the game are made to be less effective...more effective based on where it is on the tech tree. so the Mk1 command pod only allows for
one Kerbal. The Mk1-2 command pod allows for three Kerbals, so to say that the Mk1 command pod was specifically designed to be too cramped for
2 or even 3 kerbals, so | am not going to argue design flaws here.

So | can agree to some disadvantages to the convert-o-tron 125 however here are the statistics | was able to come up with

From the time that the convert-o-tron 125 has it turned on for LF/OX to when it hits 1000K:

It takes 40 seconds in game cooling or not to get to 1000K

For 88 Ore it will produce 16.54 LF/OX (added together) cooling or not when it hits 1000K

At 1 minute 40 seconds after turning off the LF/OX when it hits exactly 1000K its core temperature will end up 993.93K for cooling and 995.16K when
it isnt cooled

Pulsing means waiting for it to drop its temperature to some degree. If the heat reducing follows
realistic heat loss...then it will reduce slower and slower as it approaches the temperature of the
environment, which in this case will take a while cooling or not.

The return from using it is very low, and then there is the temperature issues, so the player is getting hit by two major issues with the Convert-O-Tron
125.

| doubt people use the Convert-O-Tron 125 much at all, they either wait until the Convert-O-Tron 250 gets unlocked...or even assume that the
Convert-O-Tron 250 is similar to the Convert-O-Tron 250 and avoid using either for as long as possible.

#6 - 12/06/2016 03:15 AM - AlffromKerbal

Advantage is, "125" is lighter and smaller and you can attach cooler on it (which is somehow useless due to recent knowledge). But "125" have
disadvantage of ratio converting ore to fuel-stuff, aswell that you need a minimum concentration of ore. | didnt't realize what "required cooling" vs.
"max. cooling" mean.

| accepted a bad ore to fuel ratio & minimum ore concentration needed to save weight and have small build, but having a permanent thermal problem
aswell at a hightech industrial component is something weird.

Some feedback.

#7 - 01/18/2017 05:04 PM - blakemw

Well even though it was declared to be Not a Bug, I'm glad to see it's been fixed and that the ISRU 125 doesn't seem to suffer from runaway
overheating anymore.

#8 - 01/18/2017 06:55 PM - Anth12

Hmmm...Just tested this again, the runaway overheating does stop eventually, why | didnt notice that before | have no idea.
There is only one difference between 1.2.1 and 1.2.2 that | can see which is that now the conversion is dependent on the level and vocation of the
kerbal on board.

Its conversion of ore to fuel is still really bad, but the temperature does stop increasing, and if the kerbal is a high level engineer, they should maintain
a higher than 100% conversion rate according to the 125 convert-O-tron specifications
